function WriteSidePanel()
{
	var strHTML='';
	if (parent.objFeatures.getFeature(parent.FEATURE_NEW) && !parent.objFeatures.getFeature(parent.FEATURE_SUBMIT) && !parent.objFeatures.getFeature(parent.FEATURE_KB_VIEW)){											
		strHTML+=m_objMqButton.GetTextButtonHTML("cmdAddNew", g_MqRef.RESX["BUTTON_SUBMIT_NEW"], "AddNewRec()", "", 65, "", "", 150);
	}

	var blnShowMassUpdateButton=false;
	
	if(parent){
		if(parent.objFrames){
			var winTopTB=parent.objFrames.GetFrameWindow(parent.TOPTOOLBAR_FRAME_ID);
			if (winTopTB){
				blnShowMassUpdateButton=winTopTB.blnHasFeature112;
			}
		}
	}
	
	if(blnShowMassUpdateButton){
		strHTML+=m_objMqButton.GetTextButtonHTML("MassUpdate", g_MqRef.RESX['SL.MASS_UPDATE_SELECTED_ISSUES'], "OpenBatchUpdateWindow()", "", 65, "", "", 150);
	}
	
	document.write(strHTML);
	
	SetButtonVisibleOnCheck("MassUpdate");
}

function AddNewRec()
{
	parent.onClickControls('AddNew');
}

function EditRec(lngID)
{
	parent.LoadRecord(lngID, -1, false);
}

function CopyRec(lngID)
{
	parent.onClickControls('Copy', lngID);
}

function PrintRec(lngID)
{
	parent.objControls.Print(lngID);
}
